Update Resident: Propertyware

Update Resident: Propertyware | Method | |---| | updateContact |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The Propexo unique identifier for the resident

Request

This endpoint expects an object.
first_namestringOptional
The first name of the resident. This value maps to the firstName property of the Contact object
middle_namestringOptional
The middle name of the resident. This value maps to the middleName property of the Contact object
last_namestringOptional
The last name of the resident. This value maps to the lastName property of the Contact object
email_1stringOptionalformat: "email"
The primary email address for the resident. This value maps to the email property of the Contact object
email_2stringOptionalformat: "email"
The secondary email address for the resident. This value maps to the altEmail property of the Contact object
date_of_birthstringOptionalformat: "date-time"
The date of birth of the resident. This value maps to the birthDate property of the Contact object.
address_1stringOptional
First line of the street address for the resident. This maps to the address property of Contact object
address_2stringOptional
Second line of the street address for the resident. This maps to the address2 property of the Contact object
citystringOptional
City of the resident's address. This maps to the city property of the Contact object.
statestringOptional
State of the resident's address. This maps to the state property of the Contact object.
zipstringOptional

Zip/Postal Code of the resident’s address. This maps to the zip property of the Contact object.

countrystringOptional
Country of the resident's address. This maps to the country property of the Contact object
phone_1stringOptional

Primary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

phone_1_typeenumOptional
The type of the primary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Allowed values:
phone_2stringOptional

Secondary phone number for the resident. Depending on the value of phone_1_type, this may map to the properties fax, homePhone, mobilePhone, or workPhone.

phone_2_typeenumOptional
The type of the secondary phone. Must be one of 'HOME', 'MOBILE', 'WORK', or 'FAX'
Allowed values:
notesstringOptional
Any notes about the resident. This maps to the comments property of the Contact object
custom_dataobjectOptionalDeprecated

Deprecated: Field is no longer applicable

Response

Successful response
metaobject
resultobject

Errors